
# fedora package review: http://bugzilla.redhat.com/429760

%define qt3pkg qt
%if 0%{?fedora} > 8
%define qt3pkg qt3
%endif

#define svn 20080603svn

Name:    dbus-qt3
Summary: Qt3 DBus Bindings
Version: 0.9
Release: 2%{?dist}

License: GPLv2+
Group:   System Environment/Libraries 
Url:     http://www.freedesktop.org/wiki/Software/DBusBindings
Source0: http://people.freedesktop.org/~krake/dbus-1-qt3/dbus-1-qt3-%{version}.tar.gz
Source1: dbus-qt3-svn_checkout.sh 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?svn:BuildRequires: automake libtool}
BuildRequires: dbus-devel
BuildRequires: %{qt3pkg}-devel

Provides: dbus-1-qt3 = %{version}-%{release}

%description
This library provides Qt3-classes for accessing the DBus.

%package devel
Summary: Development files for %{name} 
Group:   Development/Libraries
Provides: dbus-1-qt3-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel
Requires: %{qt3pkg}-devel
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q -n dbus-1-qt3-%{version}

%{?svn:make -f admin/Makefile.common}


%build


%configure \
  --disable-static \
  --disable-warnings

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/dbusxml2qt3
%{_libdir}/lib*.so
%{_includedir}/dbus-1.0/qt3/
%{_libdir}/pkgconfig/dbus-1-qt3.pc


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jun 06 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9-1
- dbus-1-qt3-0.9
- Provides: dbus-1-qt3

* Tue Jun 03 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8.1-1.20080603svn
- 20080603svn snapshot

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8-5
- s/qt-devel/qt3-devel/ (f9+)

* Tue Feb 05 2008 Dennis Gilmore <dennis@ausil.us> 0.8-4
- actually apply the patch
- add second patch from suse

* Tue Feb 05 2008 Dennis Gilmore <dennis@ausil.us> 0.8-3
- apply BRANCH_UPDATE.diff pulled from suse
- patch needed because it changes the opttions to dbusxml2qt3 
- knm  needs the new calls

* Sun Jan 27 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8-2
- Provides: libdbus-1-qt3(-devel)
- fix mixed tabs/spaces
- -devel: %%doc COPYING

* Sat Jan 19 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8-1
- fedora'ize

* Fri Jan 11 2008 - hschaa@suse.de
- add ifdefs to qdbusobjectpath.h (fix_ifdef.patch)

* Wed Jan 09 2008 - dmueller@suse.de
- fix generation of nm introspection (branch update)

* Mon Dec 17 2007 - dmueller@suse.de
- include bugfixes from SVN

* Wed Dec 12 2007 - hschaa@suse.de
- Added packages to PDB

* Fri Nov 30 2007 - hschaa@suse.de
- Initial checkin
